Subject: Re: [RFC/PATCH] git-what: explain what to do next

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 May 2008 13:24:37 -0700

"Steven Walter" <[email-masked]> writes:

> Surely it has happened to everyone that you start a rebase, walk away
> and then continue hacking and committing with the rebase still in
> progress.  It isn't too bad for an experienced user to recover from
> this state, but prevention is much better than cure.  A simple "git
> what" command that could remind you of what you were doing would be a
> welcome addition, in my mind.

I haven't looked at the patch in question, but I'd agree with the above,
and that is why I use the $PS1 support in bash completion (especially the
resent one can tell between "am" and "rebase", which made it even nicer).